unit ObjectCapacitor;

interface

uses
  CustomObject, Vec2f, IniFiles, System.SysUtils, Units.Player, Units.Custom,
  QuadEngine;

type
  TObjectCapacitor = class(TCustomObject)
  published
    procedure SetActive(AAction: Boolean); override;
  end;

implementation

procedure TObjectCapacitor.SetActive(AAction: Boolean);
begin
  if not FTalkAction then
    inherited;
end;

end.
